Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003846TestLinkTest Plan (builds, milestones, test assign)public2010-10-05 04:422010-11-16 01:10
Reporterskilletaudio 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFirefox3 + PostgresOSWindows VistaOS Version
Product Versiontestlink_1_9_rc1-qa-20100926 
Fixed in Version1.9 RC 1 
Summary0003846: TL-32 copy test plan does not copy test assignments
DescriptionTL-32 test case, copy test plan with all options checked.
Steps To ReproduceCreate a test plan with all features reasonably complete (users, test cases, platforms, test cases assigned to tester, test results).

Create a new test plan as copy of this plan with all optons checked.

The test assignments are not copied (tests are unassigned).
A DB backtrace is printed.
Additional Information ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query(/* Class:testplan - Method: copy_linked_tcversions */ INSERT INTO testplan_tcversions (testplan_id,tcversion_id,platform_id,node_order,urgency) VALUES(12,8,1, 1000,3)) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1532]
#1 testplan->copy_linked_tcversions(5, 12, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest), ) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1398]
0000002 testplan->copy_as(5, 12, copy all current, 1, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest)) called at [/var/www/html/tl19/lib/plan/planEdit.php:172]

 ==============================================================================

 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query(/* Class:testplan - Method: copy_linked_tcversions */ INSERT INTO testplan_tcversions (testplan_id,tcversion_id,platform_id,node_order,urgency) VALUES(12,8,2, 1000,3)) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1532]
#1 testplan->copy_linked_tcversions(5, 12, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest), ) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1398]
0000002 testplan->copy_as(5, 12, copy all current, 1, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest)) called at [/var/www/html/tl19/lib/plan/planEdit.php:172]

 ==============================================================================

 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query(/* Class:testplan - Method: copy_linked_tcversions */ INSERT INTO testplan_tcversions (testplan_id,tcversion_id,platform_id,node_order,urgency) VALUES(12,10,1, 1010,1)) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1532]
#1 testplan->copy_linked_tcversions(5, 12, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest), ) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1398]
0000002 testplan->copy_as(5, 12, copy all current, 1, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest)) called at [/var/www/html/tl19/lib/plan/planEdit.php:172]

 ==============================================================================

 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query(/* Class:testplan - Method: copy_linked_tcversions */ INSERT INTO testplan_tcversions (testplan_id,tcversion_id,platform_id,node_order,urgency) VALUES(12,10,2, 1010,1)) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1532]
#1 testplan->copy_linked_tcversions(5, 12, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest), ) called at [/var/www/html/tl19/lib/functions/testplan.class.php:1398]
0000002 testplan->copy_as(5, 12, copy all current, 1, 1, Array ([items2copy] => Array ([copy_tcases] => 1,[copy_priorities] => 1,[copy_milestones] => 1,[copy_user_roles] => 1,[copy_builds] => 1,[copy_platforms_links] => 1),[copy_assigned_to] => 1,[tcversion_type] => latest)) called at [/var/www/html/tl19/lib/plan/planEdit.php:172]

 ==============================================================================
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres
BrowserFF 3
PHP Version5.2.1
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011656)
asimon (developer)
2010-10-06 13:58

Fixed in CVS.
(0011702)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-10-05 04:42 skilletaudio New Issue
2010-10-05 07:59 Julian Assigned To => asimon
2010-10-05 07:59 Julian Status new => assigned
2010-10-06 13:58 asimon Note Added: 0011656
2010-10-06 13:58 asimon Status assigned => resolved
2010-10-06 13:58 asimon Fixed in Version => 1.9 RC 1
2010-10-06 13:58 asimon Resolution open => fixed
2010-10-09 08:00 fman Note Added: 0011702
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker